# $Revision: 1.13 $, $Date: 2006/03/29 22:29:17 $
%include	/usr/lib/rpm/macros.php
%define		_class		Math
%define		_subclass	RPN
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - RPN (Reverse Polish Notation) support
Summary(pl):	%{_pearname} - obsuga odwrotnej notacji polskiej (RPN)
Name:		php-pear-%{_pearname}
Version:	1.1.1
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	5e121f83444d826ba006f0d6bff70295
URL:		http://pear.php.net/package/Math_RPN/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
%{_pearname} provides an easy way to change given expression to RPN
(Reverse Polish Notation) and evaluate it.

In PEAR status of this package is: %{_status}.

%description -l pl
Za pomoc %{_pearname} mona w atwy sposb zmieni dane wyraenie na
odwrotn notacj polsk (RPN) oraz je obliczy.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Math_RPN.spec,v $
Revision 1.13  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.12  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.11  2005/10/05 20:59:19  glen
- rel 2

Revision 1.10  2005/09/28 21:33:15  glen
- new pear packaging

Revision 1.9  2005/01/03 16:51:55  adamg
- updated to 1.1.1

Revision 1.8  2004/12/03 22:22:54  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.7  2004/07/13 19:07:30  adamg
- updated to 1.1

Revision 1.6  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.5  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.4  2003/10/07 20:55:15  adamg
- do not use macros in URL

Revision 1.3  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.2  2003/08/02 17:29:34  qboosh
- pl for RPN

Revision 1.1  2003/08/01 11:41:02  adamg
- initial import
